Subject: Re: Order (# EH-202005281553-166207)
From: "- Dr. Sam Robbins -" <[email-masked]>
To: [email-masked]
Cc: "Deb ([email-masked])" <[email-masked]>, manager <[email-masked]>
Date: Thu, 28 May 2020 21:11:09 -0700

hahahaha... I see, so he

   - took the time to go to the site
   - click around
   - add products to the cart
   - go through the entire checkout process (address, credit cards, etc.)

only to realize later that this was a "mistake"?

why are people so stupid?!!

On Thu, May 28, 2020 at 7:48 PM <[email-masked]> wrote:

> Hi Dr. Sam,
>
> Customer said he placed this order by mistakenly. I have gone ahead and
> cancel the said order in SS and UC along with that I have issue the
> complete refund to the Customer as well. If you have receive this order in
> your data, Could you please cancel it.
>
>
> ---
>
> Thank you,
>
> Davina
> HFL Customer Support
>
>
> On 2020-05-29 08:04, - Dr. Sam Robbins - wrote:
>
> thank you
>
> On Thu, May 28, 2020 at 7:04 PM <[email-masked]> wrote:
>
> Hi Dr. Sam,
>
> I hope you are doing well.
>
> The cx mailed and asked to cancel the said order. I have asked the
> reason behind the cancellation till then I have put the order on hold in
> SS.
>
> Order Number # EH-202005281553-166207
>
> Name:Younes Belamalem
> Address:Rondal Del General Mitre 169
> :6th floor, appt n°7
> City:Barcelona
> State:Barcelona
> Zip:08022
> Country:Spain
>
> ZD#90371
>
> --
> Thank you,
>
> Davina
> HFL Customer Support
>
>